<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('cutting_results', function (Blueprint $table) {
            $table->id();

            $table->foreignId('user_id')->nullable()->constrained()->cascadeOnDelete();
            $table->foreignId('cutting_id')->nullable()->constrained()->cascadeOnDelete();

            $table->string('product_name', 255)->nullable();
            $table->unsignedInteger('cutting_result')->nullable();
            $table->unsignedInteger('sample')->nullable();
            $table->unsignedInteger('original_outside_sample')->nullable();

            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrent()->useCurrentOnUpdate();
            $table->softDeletes();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('cutting_results');
    }
};
